#ifndef ATL_INSTINFO_H
   #define ATL_INSTINFO_H

#define ATL_ARCH "IBMz1364VXZ"
#define ATL_INSTFLAGS "-1 0 -a 2 -l 1"
#define ATL_F2CDEFS "-DAdd_ -DF77_INTEGER=int -DStringSunStyle"
#define ATL_ARCHDEFS "-DATL_OS_Linux -DATL_ARCH_IBMz13 -DATL_CPUMHZ=5200 -DATL_VXZ -DATL_USE64BITS -DATL_GAS_S390"
#define ATL_DKCFLAGS "-march=z13 -mtune=z13 -O2 -mvx -mzvector -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fstack-protector-strong -fstack-clash-protection -fPIC -fplugin=annobin -Wl,-z,now -m64"
#define ATL_DKC "/usr/bin/gcc"
#define ATL_SKCFLAGS "-march=z13 -mtune=z13 -O2 -mvx -mzvector -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fstack-protector-strong -fstack-clash-protection -fPIC -fplugin=annobin -Wl,-z,now -m64"
#define ATL_SKC "/usr/bin/gcc"
#define ATL_DMCFLAGS "-march=z13 -mtune=z13 -O2 -mvx -mzvector -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fstack-protector-strong -fstack-clash-protection -fPIC -fplugin=annobin -Wl,-z,now -m64"
#define ATL_DMC "/usr/bin/gcc"
#define ATL_SMCFLAGS "-march=z13 -mtune=z13 -O2 -mvx -mzvector -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fstack-protector-strong -fstack-clash-protection -fPIC -fplugin=annobin -Wl,-z,now -m64"
#define ATL_SMC "/usr/bin/gcc"
#define ATL_ICCFLAGS "-DL2SIZE=33554432 -I/builddir/build/BUILD/ATLAS/s390x_base/include -I/builddir/build/BUILD/ATLAS/s390x_base/..//include -I/builddir/build/BUILD/ATLAS/s390x_base/..//include/contrib -DAdd_ -DF77_INTEGER=int -DStringSunStyle -DATL_OS_Linux -DATL_ARCH_IBMz13 -DATL_CPUMHZ=5200 -DATL_VXZ -DATL_USE64BITS -DATL_GAS_S390 -m64 -DWALL -DATL_NCPU=2 -march=z13 -mtune=z13 -O2 -mvx -mzvector -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fstack-protector-strong -fstack-clash-protection -fPI"
#define ATL_ICC "/usr/bin/gcc"
#define ATL_F77FLAGS "-march=z13 -mtune=z13 -O2 -mvx -mzvector -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fstack-protector-strong -fstack-clash-protection -fPIC -fplugin=annobin -Wl,-z,now -m64"
#define ATL_F77 "/usr/bin/gfortran"
#define ATL_DKCVERS "gcc (GCC) 11.2.1 20211203 (Red Hat 11.2.1-7)"
#define ATL_SKCVERS "gcc (GCC) 11.2.1 20211203 (Red Hat 11.2.1-7)"
#define ATL_DMCVERS "gcc (GCC) 11.2.1 20211203 (Red Hat 11.2.1-7)"
#define ATL_SMCVERS "gcc (GCC) 11.2.1 20211203 (Red Hat 11.2.1-7)"
#define ATL_ICCVERS "gcc (GCC) 11.2.1 20211203 (Red Hat 11.2.1-7)"
#define ATL_F77VERS "GNU Fortran (GCC) 11.2.1 20211203 (Red Hat 11.2.1-7)"
#define ATL_SYSINFO "Linux alma9-build.sinenomine.net 5.14.0-47.el9.s390x #1 SMP Sat Jan 22 02:21:22 UTC 2022 s390x s390x s390x GNU/Linux"
#define ATL_DATE    "Fri Jan 28 06:30:18 EST 2022"
#define ATL_UNAM    "mockbuild"
#define ATL_VERS    "3.10.3"

#endif
