#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,216,504,576,648,720,1008,1224,1296,1368,1512,2016,4032
 * N : 25,216,504,576,648,720,1008,1224,1296,1368,1512,2016,4032
 * NB : 4,24,12,144,84,156,144,144,96,180,192,168,144
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 120) (nb_) = 4; \
   else if ((n_) < 360) (nb_) = 24; \
   else if ((n_) < 540) (nb_) = 12; \
   else if ((n_) < 612) (nb_) = 144; \
   else if ((n_) < 684) (nb_) = 84; \
   else if ((n_) < 864) (nb_) = 156; \
   else if ((n_) < 1260) (nb_) = 144; \
   else if ((n_) < 1332) (nb_) = 96; \
   else if ((n_) < 1440) (nb_) = 180; \
   else if ((n_) < 1764) (nb_) = 192; \
   else if ((n_) < 3024) (nb_) = 168; \
   else (nb_) = 144; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
