#ifndef ATL_ztGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,240,320,400,480,560,640,720,960,2000,2960,3440,4000
 * N : 25,240,320,400,480,560,640,720,960,2000,2960,3440,4000
 * NB : 4,80,80,80,96,40,160,180,160,160,160,160,240
 */
#define ATL_ztGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 132) (nb_) = 4; \
   else if ((n_) < 440) (nb_) = 80; \
   else if ((n_) < 520) (nb_) = 96; \
   else if ((n_) < 600) (nb_) = 40; \
   else if ((n_) < 680) (nb_) = 160; \
   else if ((n_) < 840) (nb_) = 180; \
   else if ((n_) < 3720) (nb_) = 160; \
   else (nb_) = 240; \
}


#endif    /* end ifndef ATL_ztGetNB_geqrf */
